Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1423680 - gpick: FTBFS in rawhide
Summary: gpick: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpick
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-s390x F-ExcludeArch-ARM F-ExcludeArch-ppc ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 14:19 UTC by Fedora Release Engineering
Modified: 2017-03-02 10:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-02 10:55:35 UTC


Attachments (Terms of Use)
build.log (deleted)
2017-02-17 14:20 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2017-02-17 14:20 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2017-02-17 14:20 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1402577 None None None Never

Internal Links: 1402577

Description Fedora Release Engineering 2017-02-17 14:19:58 UTC
Your package gpick failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17719237

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 14:20:03 UTC
Created attachment 1252397 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 14:20:06 UTC
Created attachment 1252398 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 14:20:09 UTC
Created attachment 1252399 [details]
state.log

Comment 4 Luya Tshimbalanga 2017-02-18 04:53:44 UTC
It looks like a regression from other architectures compared to the last mass build: https://koji.fedoraproject.org/koji/buildinfo?buildID=772879 . I added offensive arches as blocker and currently build with the latest upstream snapshot.

Comment 5 Luya Tshimbalanga 2017-02-18 05:12:35 UTC
Scratch result with latest snapshot:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17927868

It looks like a bug on gcc-c++ with other arches. i686 and x86_64 successfully built.

Comment 6 Upstream Release Monitoring 2017-02-18 05:41:56 UTC
luya's gpick-0.2.5-18.20170217git.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=860070

Comment 7 Dan Horák 2017-02-18 07:33:38 UTC
(In reply to Luya Tshimbalanga from comment #5)
> Scratch result with latest snapshot:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=17927868
> 
> It looks like a bug on gcc-c++ with other arches. i686 and x86_64
> successfully built.

It's not a gcc bug, it's broken ragel (incorrect use of char type), see bug 1402577 for some discussion. The workaround can be adding -fsigned-char to CFLAGS.

Comment 8 Fedora End Of Life 2017-02-28 11:36:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Ralf Corsepius 2017-03-02 10:55:35 UTC
This package appears to have been rebuilt for fc26 - Closing.


Note You need to log in before you can comment on or make changes to this bug.